image: node:current-alpine

stages:
  - build
  - test

cache:
  key: "${CI_COMMIT_REF_SLUG}"
  paths:
    - "$HOME/.npm"
    - "node_modules/"

variables:
  GIT_STRATEGY: fetch

build:
  stage: build
  script:
    - .ci/actions.sh build

unittest:
  stage: test
  script:
    - .ci/actions.sh unittest

lint:
  stage: test
  script:
    - .ci/actions.sh lint
